var CODE_NO_NETWORK = 0;//没有网络连接
var CODE_INIT_SUCCESS = 1;//初始化成功
var CODE_INIT_FAIL = 2;//初始化失败
var CODE_LOGIN_SUCCESS = 3;//登录成功
var CODE_LOGIN_FAIL = 4;//登录失败
var CODE_LOGIN_CANCEL = 5;//登录取消
var CODE_AUTH_TOKEN_SUCCESS = 6;//验证token成功
var CODE_AUTH_TOKEN_FAIL = 7;//验证token失败
var CODE_SW_LOGIN_SUCCESS = 8;//切换账号登录成功
var CODE_SW_LOGIN_FAIL = 9;//切换账号登录失败
var CODE_LOGOUT_SUCCESS = 10;//登出成功
var CODE_LOGOUT_FAIL = 11;//登出失败
var CODE_PAY_SUCCESS = 12;//支付成功
var CODE_PAY_FAIL = 13;//支付失败
var CODE_PAY_CANCEL = 14;//支付取消
var CODE_PAY_UNKNOWN = 15;//支付未知
var CODE_PAYING = 16;//支付中
var CODE_REAL_NAME_REG_SUC = 17;//实名注册成功
var CODE_SHARE_SUCCESS = 18;//分享成功
var CODE_SHARE_FAIL = 19;//分享失败
var CODE_SHARE_CANCEL = 20;//取消分享
var CODE_BINDINVITE_ALREADY = 21;//已绑定账号
var CODE_BINDINVITE_NOT = 22;//未绑定账号
var CODE_BINDINVITE_SUCCESS = 23;//绑定账号成功
var CODE_BINDINVITE_FAIL = 24;//绑定账号失败
var CODE_BINDINVITE_CANCEL= 25;//绑定账号关闭
var CODE_REWARDED_VIDAD_OPENDED = 26;//激励视频已经打开
var CODE_REWARDED_VIDAD_CLOSED = 27;//激励视频已经关闭
var CODE_REWARDED_VIDAD_REWARDED= 28;//获取激励视频奖励，关闭视频广告，
var CODE_REWARDED_VIDAD_SHOWFAILED= 29;//激励视频展示失败
var  CODE_CUSTOMER_HAS_MESSAGE= 30;//游戏服务有消息
var  CODE_CUSTOMER_HASNOT_MESSAGE= 31;//游戏服务没有消息
var  CODE_PUSH_TOKEN= 32;//CODE_PUSH_TOKEN

if(window['plus']){
    initSJSDK5Plus();
}else{
    document.addEventListener("plusready",  initSJSDK5Plus, true );
}
    

function initSJSDK5Plus(){
    var _BARCODE = 'sjsdkh5bridge',
	plusBridge = window.plus;
    var sjSdkH5Bridge =
    {
        init : function (appId, appKey, privateKey, successCallback, errorCallback)
        {
            console.log("调用sujieinit这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

//            return plusBridge.exec(_BARCODE, "init", [callbackID, appId, appKey, privateKey]);
            return plusBridge.init([callbackID, appId, appKey, privateKey]);
        },
        login : function (successCallback, errorCallback)
        {
            console.log("调用login这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.login([callbackID]);
        },
        switchLogin : function (successCallback, errorCallback)
                {
                    console.log("调用switchLogin这个方法成功");
                    var success = typeof successCallback !== 'function' ? null : function(args)
                    {
                        successCallback(args);
                    },
                    fail = typeof errorCallback !== 'function' ? null : function(code)
                    {
                        errorCallback(code);
                    };
                    callbackID = plusBridge.callbackId(success, fail);

                    return plusBridge.exec(_BARCODE, "switchLogin", [callbackID]);
                },
        showAccountCenter : function (successCallback, errorCallback)
                {
                    console.log("调用showAccountCenter这个方法成功");
                    var success = typeof successCallback !== 'function' ? null : function(args)
                    {
                        successCallback(args);
                    },
                    fail = typeof errorCallback !== 'function' ? null : function(code)
                    {
                        errorCallback(code);
                    };
                    callbackID = plusBridge.callbackId(success, fail);

                    return plusBridge.exec(_BARCODE, "showAccountCenter", [callbackID]);
                },
        linkJump : function (linkUrl,successCallback, errorCallback)
                {
                    console.log("调用linkJump这个方法成功");
                    var success = typeof successCallback !== 'function' ? null : function(args)
                    {
                        successCallback(args);
                    },
                    fail = typeof errorCallback !== 'function' ? null : function(code)
                    {
                        errorCallback(code);
                    };
                    callbackID = plusBridge.callbackId(success, fail);

                    return plusBridge.exec(_BARCODE, "linkJump", [callbackID,linkUrl]);
                },

        logout : function (successCallback, errorCallback)
        {
            console.log("调用logout这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "logout", [callbackID]);
        },
        closeGame : function (successCallback, errorCallback)
        {
            console.log("调用closeGame这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "closeGame", [callbackID]);
        },
        exit : function (successCallback, errorCallback)
        {
            console.log("调用exit这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "exit", [callbackID]);
        },
        pay : function (payParams, successCallback, errorCallback)
        {
            console.log("调用pay这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "pay", [callbackID, payParams]);
        },
        submitExtraData : function (roleData, successCallback, errorCallback)
        {
            console.log("调用submitExtraData这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "submitExtraData", [callbackID, roleData]);
        },
        getDeviceInfo : function (successCallback, errorCallback)
        {
            console.log("调用getDeviceInfo这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "deviceInfo2JS", [callbackID]);
        },
        RestartGame : function ()
        {
            

            return plusBridge.exec(_BARCODE, "RestartGame", []);
        },
        bindAccount : function (successCallback, errorCallback)
        {
            console.log("调用bindAccount这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);

            return plusBridge.exec(_BARCODE, "bindAccount", [callbackID]);
        },
        unBindAccount : function (successCallback, errorCallback)
                {
                    console.log("调用unbindAccount这个方法成功");
                    var success = typeof successCallback !== 'function' ? null : function(args)
                    {
                        successCallback(args);
                    },
                    fail = typeof errorCallback !== 'function' ? null : function(code)
                    {
                        errorCallback(code);
                    };
                    callbackID = plusBridge.callbackId(success, fail);

                    return plusBridge.exec(_BARCODE, "unBindAccount", [callbackID]);
                },
         showCustomerCenter : function (successCallback, errorCallback)
                        {
                            console.log("调用showCustomerCenter这个方法成功");
                            var success = typeof successCallback !== 'function' ? null : function(args)
                            {
                                successCallback(args);
                            },
                            fail = typeof errorCallback !== 'function' ? null : function(code)
                            {
                                errorCallback(code);
                            };
                            callbackID = plusBridge.callbackId(success, fail);

                            return plusBridge.exec(_BARCODE, "showCustomerCenter", [callbackID]);
                        },
        showRewardedVideo : function (rewardID,successCallback, errorCallback)
                {
                    console.log("调用showRewardedVideo这个方法成功");
                    var success = typeof successCallback !== 'function' ? null : function(args)
                    {
                        successCallback(args);
                    },
                    fail = typeof errorCallback !== 'function' ? null : function(code)
                    {
                        errorCallback(code);
                    };
                    callbackID = plusBridge.callbackId(success, fail);

                    return plusBridge.exec(_BARCODE, "showRewardedVideo", [callbackID, rewardID]);
                },
        addLocalNotification : function (notificationInfo, successCallback, errorCallback)
        {
            console.log("调用addLocalNotification这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                 errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);
            return plusBridge.exec(_BARCODE, "addLocalNotification", [callbackID, notificationInfo]);
        },

        cancelAllLocalNotification : function (successCallback, errorCallback)
        {
            console.log("调用cancelAllLocalNotification这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);
            return plusBridge.exec(_BARCODE, "cancelAllLocalNotification", [callbackID]);
        },

        cancelNotificationById : function (notificationId, successCallback, errorCallback)
        {
            console.log("调用getDeviceInfo这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);
            return plusBridge.exec(_BARCODE, "cancelNotificationById", [callbackID, notificationId]);
        }

    };

    var webview = plus.webview.currentWebview();
    plus.key.addEventListener('backbutton', function() {
        webview.canBack(function(e) {
            console.log("调用backbutton这个方法成功");
            var success = typeof successCallback !== 'function' ? null : function(args)
            {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code)
            {
                errorCallback(code);
            };
            callbackID = plusBridge.callbackId(success, fail);
            return plusBridge.exec(_BARCODE, "exit", [callbackID]);
        })
    });

    var mo=function(e){e.preventDefault();}
                /***禁止滑动***/
    function stop(){

    }



    window.plus.sjSdkH5Bridge = sjSdkH5Bridge;
    if (window.sjInitInfo) {
        var appId = window.sjInitInfo.appId;
        var appKey = window.sjInitInfo.appKey;
        var privateKey = window.sjInitInfo.privateKey;
        var successCallback = window.sjInitInfo.successCallback;
        var errorCallback = window.sjInitInfo.errorCallback;
        plus.sjSdkH5Bridge.init(appId, appKey, privateKey, successCallback, errorCallback);
        window.sjInitInfo = null;
    };
}

/**
 * 速接初始化方法
 * @param appId 速接分配的appid
 * @param appKey 速接分配的appkey
 * @param privateKey 速接分配的privatekey
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkInit(appId, appKey, privateKey, successCallback, errorCallback){
    try{
        plus.sjSdkH5Bridge.init(appId, appKey, privateKey, successCallback, errorCallback);
    }catch(err){
        window.sjInitInfo.appId = appId;
        window.sjInitInfo.appKey = appKey;
        window.sjInitInfo.privateKey = privateKey;
        window.sjInitInfo.successCallback = successCallback;
        window.sjInitInfo.errorCallback = errorCallback;
    }
    
}

/**
 * 速接登录方法
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkLogin(successCallback, errorCallback){
    plus.sjSdkH5Bridge.login(successCallback, errorCallback);
}

/**
 * 速接切换登录账号方法
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkSwitchLogin(successCallback, errorCallback){
    plus.sjSdkH5Bridge.switchLogin(successCallback, errorCallback);
}

/**
 * 账号设置中心
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkShowAccountCenter(successCallback, errorCallback){
    plus.sjSdkH5Bridge.showAccountCenter(successCallback, errorCallback);
}

/**
 * 速接注销方法
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkLogout(successCallback, errorCallback){
    plus.sjSdkH5Bridge.logout(successCallback, errorCallback);
}

/**
 * 速接支付方法
 * @param payParams 支付参数，需要为json字符串
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkPay(payParams, successCallback, errorCallback){
    plus.sjSdkH5Bridge.pay(payParams, successCallback, errorCallback);
}

/**
 * 速接提交用户数据方法
 * @param roleData 用户信息，需要时json字符串
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkSubmitExtraData(roleData, successCallback, errorCallback){
    plus.sjSdkH5Bridge.submitExtraData(roleData, successCallback, errorCallback);
}

/**
 * 刷新页面
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function RestartGame(){
    plus.sjSdkH5Bridge.RestartGame();
}


/**
 * 绑定账号
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjBindAccount(){
    plus.sjSdkH5Bridge.bindAccount();
}
/**
 * 退出游戏
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjExit(){
    plus.sjSdkH5Bridge.exit();
}
/**
 * 退出游戏
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjCloseGame(){
    plus.sjSdkH5Bridge.closeGame();
}

/**
 * 解绑账号
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjUnBindAccount(){
    plus.sjSdkH5Bridge.unBindAccount();
}

/**
 * 展示激励视频
 */
function sjShowRewardedVideo(rewardID){
    plus.sjSdkH5Bridge.showRewardedVideo(rewardID);
}

/**
 * 外部链接浏览器
 */
function sjLinkJump(linkUrl){
    plus.sjSdkH5Bridge.linkJump(linkUrl);
}


/**
 * 展示游戏服务
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjShowCustomerCenter(){
    plus.sjSdkH5Bridge.showCustomerCenter();
}

/**
 * 获取手机信息
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkGetDeviceInfo(successCallback, errorCallback){
    plus.sjSdkH5Bridge.getDeviceInfo(successCallback, errorCallback);
}

/**
 * 设置本地推送
 * @param notificationInfo 推送信息，json格式
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkAddLocalNotification(notificationInfo, successCallback, errorCallback){
    plus.sjSdkH5Bridge.addLocalNotification(notificationInfo, successCallback, errorCallback);
}

/**
 * 根据ID取消计划推送
 * @param notificationId 推送ID，请保持唯一
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkCancelNotificationById(notificationId, successCallback, errorCallback){
    plus.sjSdkH5Bridge.cancelNotificationById(notificationId, successCallback, errorCallback);
}

/**
 * 取消所有计划推送
 * @param successCallback 成功回调
 * @param errorCallback 失败回调
 */
function sjSdkCancelAllNotification(successCallback, errorCallback){
    plus.sjSdkH5Bridge.cancelAllLocalNotification(successCallback, errorCallback);
}

